##
##  metrictank.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_opkg  1.1
%define       V_dist  20240414

#   package information
Name:         metrictank
Summary:      Time-Series Database
URL:          https://github.com/grafana/metrictank
Vendor:       D. Plaetinck, A. Woods, J. Bingham, D. Gryski
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      AGPL
Version:      %{V_opkg}.%{V_dist}
Release:      20240414

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/metrictank/metrictank-%{V_dist}.tar.xz
Patch0:       metrictank.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101
PreReq:       cassandra

%description
    MetricTank is a Cassandra-backed, Metrics 2.0 based, multi-tenant
    time-series database for Graphite and friends.

%track
    prog metrictank:release = {
        version   = %{V_opkg}
        url       = https://github.com/grafana/metrictank/releases
        regex     = tree/v(\d+\.\d+)
    }
    prog metrictank:snapshot = {
        version   = %{V_dist}
        url       = http://download.openpkg.org/components/versioned/metrictank/
        regex     = metrictank-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n metrictank
    %patch -p0

%build
    #   build program
    export GOPATH=`pwd`
    cd src/github.com/grafana/metrictank
    %{l_make} %{l_mflags} bin

%install
    #   install program
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/sbin
    %{l_shtool} install -c -s -m 755 \
        src/github.com/grafana/metrictank/build/* \
        $RPM_BUILD_ROOT%{l_prefix}/sbin/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

